require "phi"

p :start
#s = "1234/01/01"
s = "1234/56/78"
s = "    /  /  " # MaskEdit

begin
  p Phi::DateTime.new(s)
rescue
  p $!,:rescue1
end
GC.start
begin
  p Phi::DateTime.new(s) # 겑 궞궞궳둖븫쀡둖
rescue
  p $!,:rescue2
end
